apiVersion: v1
kind: Pod
metadata:
    name: pod-avec-priorite
    labels:
      priorite: forte
spec:
    priorityClassName: elevee   # k create pc elevee --value=1000000000 --description="Priorité forte"
    containers:
    - name: web
      image: nginx:alpine
      resources:    # PAS indispensable avec priorityClassName mais peu utile sans
        requests:
          memory: 50Mi
          cpu: 200m   # https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-cpu
        limits:
          memory: 100Mi
          cpu: 500m   # https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-cpu
